org.springframework.aop

## Class AopInvocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.aop.AopInvocationException

All Implemented Interfaces:
  Serializable

    public class AopInvocationException
    extends NestedRuntimeException

Exception that gets thrown when an AOP invocation failed because of misconfiguration or unexpected runtime issues.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AopInvocationException(String msg)` Constructor for AopInvocationException.
`AopInvocationException(String msg, Throwable cause)` Constructor for AopInvocationException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AopInvocationException

    public AopInvocationException(String msg)

Constructor for AopInvocationException.

Parameters:
  `msg` - the detail message

#### AopInvocationException

    public AopInvocationException(String msg,
                          Throwable cause)

Constructor for AopInvocationException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause